MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030345Open CASCADE[OCCT] OCCT:Meshpublic2018-11-06 17:432018-11-11 12:01
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0* 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030345: [REGRESSION] Mesh, BRepMesh_CurveTessellator - GCPnts_TangentialDeflection throws Standard_ConstructionError
DescriptionGCPnts_TangentialDeflection::Initialize() throws an exception when called by BRepMesh_CurveTessellator::init() with too small Deflection value.

This is a regression since #0026106 (at least in context that these test cases previously not failed).

See the list of affected test cases in Steps to reproduce (OCCT should be built in DEBUG mode or with undefined No_Exception).
Steps To Reproducebugs mesh bug26407
bugs mesh bug28118
bugs modalg_6 bug27383_3
bugs modalg_6 bug27383_7
bugs modalg_6 bug27830
bugs vis bug23709_1
bugs vis bug23709_2
bugs vis bug23709_3
bugs vis bug23709_4
bugs vis bug24388_2
bugs vis bug24837_1
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029181feedbackkgv Open CASCADE Jenkins Certification Tool - testing with enabled exceptions (undefined No_Exception) 
related to 0030234verifiedbugmaster Community BRepMesh_IncrementalMesh fail to discretize some zero-length free edges 

-  Notes
(0080928)
git (administrator)
2018-11-08 11:47

Branch CR30345 has been created by nbv.

SHA-1: 2d7a4b8e262649828b1c092505c5e4c93cfb20dd


Detailed log of new commits:

Author: nbv
Date: Thu Nov 8 11:45:01 2018 +0300

    0030345: [REGRESSION] Mesh, BRepMesh_CurveTessellator - GCPnts_TangentialDeflection throws Standard_ConstructionError
    
    Now the algorithm GCPnts_TangentialDeflection is initialized by appropriate parameters.
(0080942)
nbv (developer)
2018-11-08 13:19

Dear Mikhail,

Please review CR30345 branch.

Test results are here: http://jenkins-test-12.nnov.opencascade.com/view/CR30345-master_NBV/ [^]
(0080974)
msv (developer)
2018-11-08 16:57

Reviewed.
(0080978)
bugmaster (administrator)
2018-11-08 17:30

Combination -
OCCT branch : CR30345 SHA - 2d7a4b8e262649828b1c092505c5e4c93cfb20dd
Products branch : master SHA - 4525a60ddf97fbcad482f1351d777d1e352a8307
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16117.180000000017 / 16093.030000000039 [+0.15%]
Products
Total CPU difference: 7044.550000000042 / 7035.140000000028 [+0.13%]
Windows-64-VC14:
OCCT
Total CPU difference: 17589.265625 / 17600.625 [-0.06%]
Products
Total CPU difference: 8511.53125 / 8526.203125 [-0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0081029)
git (administrator)
2018-11-11 12:01

Branch CR30345 has been deleted by inv.

SHA-1: 2d7a4b8e262649828b1c092505c5e4c93cfb20dd

- Related Changesets
occt: master 51cf5bb6
Timestamp: 2018-11-08 08:45:01
Author: nbv
Committer: bugmaster
Details ] Diff ]
0030345: Mesh, BRepMesh_CurveTessellator - GCPnts_TangentialDeflection throws Standard_ConstructionError

Now the algorithm GCPnts_TangentialDeflection is initialized by appropriate parameters.
mod - src/BRepMesh/BRepMesh_CurveTessellator.cxx Diff ] File ]
mod - src/GCPnts/GCPnts_TangentialDeflection.pxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-11-06 17:43 kgv New Issue
2018-11-06 17:43 kgv Assigned To => oan
2018-11-06 17:44 kgv Summary [REGRESSION] Mesh - GCPnts_TangentialDeflection throws Standard_ConstructionError => [REGRESSION] Mesh, BRepMesh_CurveTessellator - GCPnts_TangentialDeflection throws Standard_ConstructionError
2018-11-06 17:44 kgv Relationship added child of 0026106
2018-11-06 17:45 kgv Relationship added related to 0029181
2018-11-06 17:59 oan Relationship added related to 0030234
2018-11-08 11:44 nbv Assigned To oan => nbv
2018-11-08 11:44 nbv Status new => assigned
2018-11-08 11:47 git Note Added: 0080928
2018-11-08 13:19 nbv Note Added: 0080942
2018-11-08 13:19 nbv Assigned To nbv => msv
2018-11-08 13:19 nbv Status assigned => resolved
2018-11-08 16:57 msv Note Added: 0080974
2018-11-08 16:57 msv Assigned To msv => bugmaster
2018-11-08 16:57 msv Status resolved => reviewed
2018-11-08 17:30 bugmaster Note Added: 0080978
2018-11-08 17:30 bugmaster Status reviewed => tested
2018-11-08 17:31 bugmaster Test case number => Not needed
2018-11-11 11:52 bugmaster Changeset attached => occt master 51cf5bb6
2018-11-11 11:52 bugmaster Status tested => verified
2018-11-11 11:52 bugmaster Resolution open => fixed
2018-11-11 12:01 git Note Added: 0081029


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker